adasockets (1.12-1) experimental; urgency=medium

  * New upstream release built with gcc-10. Rename lib and -dev accordingly.
  * Update a variable name for autopkgtest.
  * Standards-Version 4.5.0.
  * Enable all linker checks (--as-needed is the default with gcc-9).
  * Only include used dpkg-dev makefile snippets.
  * Update copyright, add stanza for texinfo.tex.
  * Drop obsolete Pre-Depends.
  * Debhelper 13.
  * Split rules files with debhelper config files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 28 Jun 2020 11:16:09 +0000

adasockets (1.11.1-4) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Feb 2020 14:11:03 +0100

adasockets (1.11.1-3) experimental; urgency=medium

  * Rebuild with gcc-9, rename lib and -dev packages accordingly.
  * Track packaging history on salsa.debian.org.
  * Add myself to Uploaders.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 12 Jan 2020 12:38:31 +0100

adasockets (1.11.1-2) unstable; urgency=medium

  * Re-upload to carry changes from experimental to unstable (for
    GNAT-8 transition), closes: 903846.
  * The 1.11.1-1 fix re: debian/README.Debian closes: #903324.

 -- Phil Brooke <pjb@debian.org>  Sun, 21 Oct 2018 15:19:32 +0100

adasockets (1.11.1-1) experimental; urgency=medium

  * Apply changes from Nicolas Boulenguez.  Thank you!
    - Build with gcc-8.
    - Rename shared library and -dev package per Debian Ada policy.
    - Drop trailing white spaces in this changelog.
    - Debhelper 11. Staging directory is now implicit.
    - Really install debian/README.Debian.
    - Standards-Version: 4.1.5. Drop obsolete dependencies.
    - Let autopkgtest produce more debugging information.
  * New upstream release.

 -- Phil Brooke <pjb@debian.org>  Sat, 21 Jul 2018 20:13:27 +0100

adasockets (1.10.1-1) unstable; urgency=medium

  * Acknowledge NMUs 1.9-1.1 and 1.10.1-0.1.  Thank you, Nicolas.
  * Bump standards version to 4.1.0.
  * Change priority to optional.

 -- Phil Brooke <pjb@debian.org>  Sun, 17 Sep 2017 16:05:20 +0000

adasockets (1.10.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release built with gnat-7.
    Rename runtime and -dev package per Ada policy.
    Build-Depend: autogen for doc/*.texi instead of keeping a copy.
  * Link with libgnarl. Closes: 558836.
  * Switch to source format 3.0 (quilt). Split and improve patches.
  * Switch to debhelper 10 and dh driver.
  * Adapt library package and user project to multiarch paths.
  * Move README from library package to -dev package.
    Do not install .la file, as recommended by lintian.
  * Watch file, runtime test, Homepage, Standards-Version: 4.0.0, doc-base.
  * README.Debian for examples instead of a Makefile.
  * Switch copyright file to machine readable 1.0 format.
  * Enable all hardening flags.
  * Fix pkg-config paths.
  * Move project to /usr/share/gpr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Jul 2017 18:21:32 +0200

adasockets (1.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with gnat-6, bump ALI and SO versions. Closes: #830383.
    Conflict with previous -dev can be implicit via gnat-X per Ada policy.
    When possible, copy versions automatically to ease next update.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 16:07:44 +0200

adasockets (1.9-1) unstable; urgency=medium

  * New upstream release (closes: #756864).
  * Bump standards version to 3.9.6.
  * Add copyright notice from adasockets.texi to debian/copyright.
    (Closes: #756385.)
  * Apply patch from Breno Leitao to apply dh_autoconf, to fix FTBFS
    on ppc64el.  Thanks, Breno.  (Closes: #756423.)
  * Remove spurious ...info/dir.gz file.

 -- Phil Brooke <pjb@debian.org>  Sat, 18 Oct 2014 14:24:09 +0100

adasockets (1.8.11-1) unstable; urgency=medium

  * New upstream release.
  * Update GNAT version to 4.9.  Bump to ALIVERSION 5, with configure
    and some files renamed as required.  (Closes: #755009.)
  * Add lintian override for Ada file (hardening-no-relro).
  * Bump standards version to 3.9.5.

 -- Phil Brooke <pjb@debian.org>  Tue, 22 Jul 2014 13:54:04 +0100

adasockets (1.8.10-2) unstable; urgency=low

  * Fix GNAT project file that was missing Externally_Built attribute
    (closes: #680045).  Also needed Library_ALI_Dir attribute.

 -- Phil Brooke <pjb@debian.org>  Tue, 03 Jul 2012 09:29:20 +0100

adasockets (1.8.10-1) unstable; urgency=low

  * New upstream release (closes: #670580).
  * Bump standards version to 3.9.3.

 -- Phil Brooke <pjb@debian.org>  Mon, 11 Jun 2012 11:35:47 +0100

adasockets (1.8.9-1) unstable; urgency=low

  * New upstream release.
  * Bump gnat version to 4.6 (closes: #642611).
    * ALI version changes from 3 to 4.
    * New lib and dev packages, name is libadasockets4(-dev).
    * New soname libadasockets.so.4.
    * New shared library file name libadasockets.so.4.0.0.
    * Modified soname in configure/configure.ac.
  * Bump to standards version 3.9.2.
  * Fix build targets.

 -- Phil Brooke <pjb@debian.org>  Wed, 07 Dec 2011 11:53:11 +0000

adasockets (1.8.8-2) unstable; urgency=low

  * Fix build-depends for Ada compiler.
  * Set debian/source/format.
  * Bump to standards version 3.9.0.
  * Fix copyright address.

 -- Phil Brooke <pjb@debian.org>  Wed, 30 Jun 2010 17:29:02 +0100

adasockets (1.8.8-1) unstable; urgency=low

  * New upstream release.
    * ALI version changes from 2 to 3, new soname.
    * New library and dev packages.
  * Rename libadasockets-dev to libadasockets3-dev (Closes: #580907).
    Also adding conflicts: and replaces: to previous versions.
  * Update copyright file.

 -- Phil Brooke <pjb@debian.org>  Tue, 22 Jun 2010 09:29:48 +0100

adasockets (1.8.6-3) unstable; urgency=low

  * Bump gnat version to 4.4.
    * ALI version changes from 1 to 2.
    * New library package, name is libadasockets2.
    * New soname libadasockets.so.2.
    * New shared library file name libadasockets.so.2.0.0.
    * Modified soname in configure/configure.ac.
    (Closes: #562872).
  * Change architecture to any (to match gnat-4.4).
    (Closes: #568433, #542409).
  * Bump standards version to 3.8.4.
  * Add ${misc:Depends} to Depends.
  * Bump debian/compat to 6 and build-depends on debhelper.
  * Add dpkg (>= 1.15.4) | install-info to -dev package depends.
  * Patch assorted source files for "(style) "in" should be omitted"
    errors.  Patch provided by Arno Schuring -- thank you.
  * Modified Makefile.in to not provide info...dir.gz file.

 -- Phil Brooke <pjb@debian.org>  Sat, 06 Feb 2010 16:22:05 +0000

adasockets (1.8.6-2) unstable; urgency=low

  * Bump gnat version to 4.3.
  * Add mips and mipsel architectures.
  * Depend on texlive instead of tetex-bin.
  * Bump standards version to 3.8.0.

 -- Phil Brooke <pjb@debian.org>  Fri, 18 Jul 2008 07:31:54 +0100

adasockets (1.8.6-1) unstable; urgency=low

  * New upstream release.
  * Very minor fix to adasockets.texi (added `@' to email address).
  * Added @dircategory (Ada libraries) to adasockets.texi.
  * Info file installed using dh_installinfo now.
  * DH_COMPAT removed from rules, added debian/compat.
  * Bumped standards version to 3.7.3.
  * No longer ignore distclean errors.  Also removed the dependency in
    the clean target (closes: #449088).
  * Change substvar to use binary:Version, not Source-Version.
  * Changed Debian copyright file encoding to UTF-8.
  * Modified src/Makefile.am to make sure that SONAME stays as .1
    (thanks Neil Williams).
  * Delete doc/adasockets.info in debian/rules clean target: this is
    ignored when building source.  Avoids spurious changes being recorded.

 -- Phil Brooke <pjb@debian.org>  Thu, 20 Dec 2007 21:48:26 +0000

adasockets (1.8.4.7-5) unstable; urgency=low

  * Two suggestions from Ludovic Brenta (thanks!):
     * Corrected CFLAGS in adasockets-config.in.
     * debian/control: added depends on gnat-4.1 for
       libadasockets-dev.

 -- Phil Brooke <pjb@debian.org>  Thu, 14 Dec 2006 19:33:22 +0000

adasockets (1.8.4.7-4) unstable; urgency=medium

  * Corrected architecture for new gnat -- it's not `any'.
  * Changed build-depends to include version >= 4.1 on gnat.
  * Modified doc/Makefile.in to stop it removing some .texi sources on
    clean.  Removed nasty hack using `orig' directory and replaced by
    previous fix to doc/Makefile.in.  Also use `dpkg-buildpackage
    -idoc/adasockets.info'
  * Added tetex-bin to build-depends: needed to make .ps and .pdf
    documents.
  * Documentation directory reorganised.
  * Assorted suggestions from Ludovic Brenta (thanks!):
      * libadasockets-dev: .ads and .adb files are now in
        /usr/share/ada/adainclude/adasockets.
      * libadasockets-dev: .ali files are now in
        /usr/lib/ada/adalib/adasockets.
      * adasockets-config.in also modified.  Will not remove this file
        as requested by bug 383434 because it might be useful to users still.
      * Added Debian-specific GNAT project file named
        /usr/share/ada/adainclude/adasockets.gpr.  Examples directory
        has new Makefile and .gpr file.
      * No longer need to explicitly handle .ali file permissions,
        letting dh_fixperms deal with them.
      * The example files are now excluded from compression by dh_compress.
    closes: #383429.
  * GNAT 4.1 has a new ABI.
      * New library package, name is libadasockets1;
        new soname libadasockets.so.1;
        new shared library file name libadasockets.so.1.0.0.
      * -dev package is renamed: it conflicts with and replaces
        libadasockets0-dev.
      * Associated changes within debian/ directory.
      * Modified configure.ac/configure for LIBVERSIONINFO.
      * Closes: #383430.

 -- Phil Brooke <pjb@debian.org>  Mon,  2 Oct 2006 12:35:45 +0100

adasockets (1.8.4.7-3) unstable; urgency=medium

  * Fixed FTBFS by changing (build-)depends to gnat (closes: #377986).
  * Change to newer gnat means that architecture can be `any'.
  * Bumped standards-version to 3.7.2.

 -- Phil Brooke <pjb@debian.org>  Wed, 26 Jul 2006 18:58:59 +0000

adasockets (1.8.4.7-2) unstable; urgency=low

  * Changed build-depends for GNU/kFreeBSD (closes: #345058).
  * Bumped DH_COMPAT and debhelper version to 4.
  * Bumped standards-version to 3.6.2.

 -- Phil Brooke <pjb@debian.org>  Tue, 17 Jan 2006 14:37:03 +0000

adasockets (1.8.4.7-1) unstable; urgency=low

  * New upstream release.
  * Refreshed the debian/orig directory.
  * Fixed synopsis in package descriptions.

 -- Phil Brooke <pjb@debian.org>  Sat,  8 Jan 2005 19:25:44 +0000

adasockets (1.8.4.4-1) unstable; urgency=low

  * New upstream release.
  * Refreshed the debian/orig directory.
  * Added texinfo package to build depends so that `makeinfo' is available
    (closes: #253703).

 -- Phil Brooke <pjb@debian.org>  Sat, 26 Jun 2004 16:31:30 +0100

adasockets (1.8.4.3-1) unstable; urgency=low

  * New upstream release.
  * Refreshed the debian/orig directory.

 -- Phil Brooke <pjb@debian.org>  Mon, 28 Mar 2004 12:34:32 +0000

adasockets (1.8.4.2-1) unstable; urgency=low

  * New upstream release.
  * Refreshed the debian/orig directory.

 -- Phil Brooke <pjb@debian.org>  Thu, 15 Jan 2004 12:54:49 +0000

adasockets (1.8.3-1) unstable; urgency=low

  * New upstream release.
  * Refreshed the debian/orig directory.
  * Modified support/adacompiler so that if doesn't try to move a file
    onto itself.

 -- Phil Brooke <pjb@debian.org>  Wed, 13 Dec 2003 20:38:00 +0000

adasockets (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * Moved from GNAT 3.14 to GNAT 3.15.
  * Moved the `orig' hack directory (see revision 1.6-1) to within the
    debian/ directory.

 -- Phil Brooke <pjb@debian.org>  Mon, 17 Nov 2003 10:52:37 +0000

adasockets (1.7-2) unstable; urgency=low

  * Modified debian/rules to set the .ali files to read-only.  This is
    to stop gnatmake trying to rebuild the .ali and .o files in a
    local directory when they're used.

 -- Phil Brooke <pjb@debian.org>  Mon, 25 Aug 2003 16:14:24 +0100

adasockets (1.7-1) unstable; urgency=low

  * New upstream release.
  * libadasockets0-dev package now in section libdevel.
  * Working around dpkg-source's objections to doc/adasockets.pdf being
    regenerated.

 -- Phil Brooke <pjb@debian.org>  Wed,  6 Aug 2003 23:26:07 +0100

adasockets (1.6-1) unstable; urgency=low

  * New upstream release
  * Update to standards version 3.5.9.0.
  * Move info directory to FHS-compliant location.
  * Added shlibs and shlibsdep calls.
  * Tweaked upstream README to indicate a different order when calling
    gnatmake.
  * Added configure as dependency for clean target in debian/rules.
    Otherwise we don't always have the needed makefile.
  * Added hack (the orig directory) to fix a problem with essential
    upstream files being deleted during distclean.

 -- Phil Brooke <pjb@debian.org>  Fri, 28 Mar 2003 22:51:06 +0000

adasockets (1.2-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (closes: #154104).
  * Changed libadasockets0 section: was devel, is now libs
    (closes: #157053).

 -- Phil Brooke <pjb@debian.org>  Wed, 28 Aug 2002 21:34:17 +0100

adasockets (1.0-1) unstable; urgency=low

  * New upstream version.
  * Install no manpage in /usr/man. Closes: #138078.

 -- Samuel Tardieu <sam@debian.org>  Thu, 14 Mar 2002 19:13:47 +0100

adasockets (0.1.19-3) unstable; urgency=low

  * Recompile for GNAT 3.14p.

 -- Samuel Tardieu <sam@debian.org>  Sat,  2 Feb 2002 20:37:30 +0100

adasockets (0.1.19-2) unstable; urgency=low

  * Use debhelper instead of yada.

 -- Samuel Tardieu <sam@debian.org>  Fri, 14 Dec 2001 19:53:17 +0100

adasockets (0.1.19-1) unstable; urgency=low

  * New upstream version.

 -- Samuel Tardieu <sam@debian.org>  Fri, 26 Oct 2001 18:49:03 +0200

adasockets (0.1.15-1) unstable; urgency=low

  * New upstream version.

 -- Samuel Tardieu <sam@debian.org>  Mon, 24 Sep 2001 18:16:32 +0200

adasockets (0.1.14-1) unstable; urgency=low

  * New upstream version.

 -- Samuel Tardieu <sam@debian.org>  Tue, 24 Jul 2001 11:37:40 +0200

adasockets (0.1.13-2) unstable; urgency=low

  * GNAT is no longer Architecture: any, so this package has to follow.
    Closes: #100291.

 -- Samuel Tardieu <sam@debian.org>  Sat,  9 Jun 2001 18:12:53 +0200

adasockets (0.1.13-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Tardieu <sam@debian.org>  Tue, 13 Mar 2001 21:03:19 +0100

adasockets (0.1.11-1) unstable; urgency=low

  * New upstream release.
  * Remove spurious symlink. Closes: #71064.

 -- Samuel Tardieu <sam@debian.org>  Fri, 27 Oct 2000 18:40:00 +0200

adasockets (0.1.10-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Tardieu <sam@debian.org>  Wed, 13 Sep 2000 14:06:48 +0200

adasockets (0.1.9-2) unstable; urgency=low

  * Add Build-Depends line. Closes: #70066.

 -- Samuel Tardieu <sam@debian.org>  Wed, 30 Aug 2000 12:25:51 +0200

adasockets (0.1.9-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Tardieu <sam@debian.org>  Thu,  3 Aug 2000 16:23:13 +0200

adasockets (0.1.8-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Tardieu <sam@debian.org>  Mon, 22 May 2000 18:50:03 +0200

adasockets (0.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Tardieu <sam@debian.org>  Sat,  8 Jan 2000 16:39:32 +0100

adasockets (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Tardieu <sam@debian.org>  Tue, 14 Dec 1999 15:20:03 +0100

adasockets (0.1.3-6) unstable; urgency=low

  * Recompile for GNAT 3.12p.

 -- Samuel Tardieu <sam@debian.org>  Tue, 14 Dec 1999 15:19:58 +0100

adasockets (0.1.3-5) unstable; urgency=low

  * Apply patch from Tristan Gingold.

 -- Samuel Tardieu <sam@debian.org>  Thu,  1 Jul 1999 19:37:30 +0200

adasockets (0.1.3-4) unstable; urgency=low

  * Previous description was empty. Fix it.

 -- Samuel Tardieu <sam@debian.org>  Tue, 27 Apr 1999 21:23:09 +0200

adasockets (0.1.3-3) unstable; urgency=low

  * Include examples.
  * Recompiled using YADA.

 -- Samuel Tardieu <sam@debian.org>  Tue, 27 Apr 1999 21:04:51 +0200

adasockets (0.1.3-2) unstable; urgency=low

  * Recompiled for GNAT 3.11p-9.

 -- Samuel Tardieu <sam@debian.org>  Wed, 24 Feb 1999 13:13:02 +0100

adasockets (0.1.3-1) unstable; urgency=low

  * New upstream release.

  * Compiled for GNAT 3.11p.

  * Switched to dh-make.

 -- Samuel Tardieu <sam@debian.org>  Wed, 27 Jan 1999 11:28:57 +0100

adasockets (0.1.2-2) unstable; urgency=low

  * Reword description.

 -- Samuel Tardieu <sam@debian.org>  Fri,  9 Oct 1998 10:51:35 +0200

adasockets (0.1.2-1) unstable; urgency=low

  * Initial Release.

 -- Samuel Tardieu <sam@debian.org>  Thu, 24 Sep 1998 13:17:57 +0200
